<?php

namespace App\Http\Controllers;

use App\Models\Advert;
use App\Models\Category;
use App\Models\Link;
use Illuminate\Foundation\Auth\Access\AuthorizesRequests;
use Illuminate\Foundation\Bus\DispatchesJobs;
use Illuminate\Foundation\Validation\ValidatesRequests;
use Illuminate\Routing\Controller as BaseController;
use Illuminate\Support\Facades\View;

class Controller extends BaseController
{

    use AuthorizesRequests, DispatchesJobs, ValidatesRequests;

    public function __construct()
    {
        //顶部分类
        $categorys = Category::where('status', 1)
                             ->whereIn('type', [Category::TYPE_ARTICLE, Category::TYPE_SHOW])
                             ->where('top_show', 1)
                             ->oldest('order')
                             ->select('id', 'title')
                             ->get();

        //友情链接
        if (url()->current() == route('index.index')) {
            $adverts = Advert::where('category_id', 72)->get();
        } else {
            $adverts = Advert::where('category_id', 73)->get();
        }

        $links = Link::get();
        View::share('all_categorys', $categorys);
        View::share('adverts', $adverts);
        View::share('links', $links);
    }

}
